function y=P_Rc_2_R(u);

% *******   Retourne la matrice de passage de Rc  R = (xyz)  *****

global H jour rayon_orbital vitesse_rotation inclinaison periode_orbitale

% Calcul de la matrice de passage du repre Rc de consigne dont Yc pointe le soleil au repre R satellite xyz
%  	Xc est l'unitaire du produit vectoriel de S et de Y
%	Yc est l'unitaire soleil S
%	Zc complte le repre direct

% La variable d'entre est compose de 4 termes:
%	- u(1) le temps u de la simulation
%	- u(2:8) le vecteur d'tat pqrQ dont u(5:8) le quaternion Q

Q=u(5:8);

tps=u(1);

% *****************************   Unitaire soleil / XYZ ****************************************

teta=15*(12-H)*pi/180;                                        % Longitude nodale du soleil ( / Xn ), en radians

delta=23.45*sin(2*pi/365*(284+jour))*pi/180;                  % Dclinaison en radians formule de Fletcher

Us=[cos(delta)*cos(teta) cos(delta)*sin(teta) sin(delta)];    % Us unitaire soleil en axes XnYnZn

angle=vitesse_rotation*tps;                                   % Mouvement orbital

rayon_vecteur=[cos(angle) sin(angle)*cos(inclinaison) sin(angle)*sin(inclinaison)]*rayon_orbital;

% Matrice de passage de XYZ  XnYnZn

Pmat=[-sin(angle) cos(inclinaison)*cos(angle) sin(inclinaison)*cos(angle)
           0 -sin(inclinaison) cos(inclinaison)
                  cos(angle) cos(inclinaison)*sin(angle) sin(inclinaison)*sin(angle)];

% Composantes unitaire soleil dans XYZ

S_XYZ=Pmat*Us';         % Composantes de l'unitaire Soleil S dans XYZ, vecteur colonne

% ***************************   Matrice de passage de Rc  Ro = XYZ  ****************************
% *********** CALCULS DE VERIFICATIONS A EVENTUELLEMENT ELIMINER *****************

S1=S_XYZ(1);
S2=S_XYZ(2);
S3=S_XYZ(3);
KK=(S1^2+S3^2)^0.5;
P_Rc_R0=[-S3/KK 0 S1/KK
        -S1 -S2 -S3
           S1*S2/KK -(S1^2+S3^2)/KK S2*S3/KK];

%            ********************* CALCULS BONS ******************

% ----------------------------------   Matrice de passage Rc vers Rorbital -----------------------------

% NB :Cette matrice servira  calculer les composantes de Bc dans Rc, connaissant
% 	les composantes de B en repre orbital==> (Bc)/Rc=P_Rc2Rorb*(B)/Rorbital
% 	Ces composantes seront celles de Bc consigne,dans le repre satellite

P_R0_R=passage(Q);

y=P_Rc_R0*P_R0_R;


end

% NB  Les matrices ont t vrifies OK c'est bon


          