function y=normalis(u);

  % Fonction de normalisation du quaternion

% ************************************************
% Le vecteur d'entre pour le traitement du systme
% diffrentiel est  12 composantes.
%
%	u(1)=p    rotation absolue satellite sur x
%	u(2)=q    ...........................sur y
%	u(3)=r    ...........................sur z
%
%	u(4)=q0   Premire composante du quaternion
%	u(5)=q1   Deuxime ........................
%	u(6)=q2   Troisime .......................
%	u(7)=q3   Quatrime .......................
% *************************************************

% Composantes de la rotation
 p=u(1);q=u(2);r=u(3);

% $$$$$$$$$$$$$$$$$$$$$$$$$$$  PROBLEMES DE NORMALISATION  $$$$$$$$$$$$$$$$$$$$$$$

% *1*1*1 normalisation du quaternion d'entre, mthode la plus simple

 v=u(4:7)/norm(u(4:7));
 
% *1*1*1 normalisation du quaternion d'entre, mthode plus labore

 normQ=norm(u(4:7));              % $$$$$$$$$$$$$$$$$$ Nouveau
 deltaQ=(1-normQ^2)/2;            % $$$$$$$$$$$$$$$$$$
 v=u(4:7)+deltaQ*u(4:7);          % $$$$$$$$$$$$$$$$$$ Nouveau
 
% $$$$$$$$$$$$$$$$$$$$$$$$$$$  FIN DES TESTS / PROBLEMES DE NORMALISATION  $$$$$$$$$$$$$$$$$$$$$$$
 
 % Composantes du quaternion

 q0=v(1);q1=v(2);q2=v(3);q3=v(4);

% Sorties

y=[p q r q0 q1 q2 q3];

end