function y=unitSxyz(u);

% Fonction qui retourne le vecteur unitaire soleil Us en axes satellite xyz

% Comme entre un vecteur  5 composantes:
%	- u(1) le temps
%	- u(2:5) le Q quaternion d'attitude

% ***********************************************************************
% La connaissance de H et jour, dans l'espace de travail est indispensable
% ***********************************************************************

global H jour rayon_orbital vitesse_rotation inclinaison periode_orbitale

tps=u(1);     % Temps orbital ou temps de la simulation

Q=u(2:5);  % quaternion d'attitude


% u est le temps comme vecteur d'entre, celui de la simulation 
%	- H heure au noeud ascendant
%	- jour est le jour de l'anne civile
%	- tps est le temps orbital mesur depuis le passage au noeud acendant

% ********************************  Dans XnYnZn  *************************************

% Unitaire soleil

teta=15*(12-H)*pi/180;                                        % Longitude nodale du soleil ( / Xn ), en radians

delta=23.45*sin(2*pi/365*(284+jour))*pi/180;                  % Dclinaison en radians formule de Fletcher

Us=[cos(delta)*cos(teta) cos(delta)*sin(teta) sin(delta)];    % Us en axes XnYnZn

angle=vitesse_rotation*tps;                                   % Mouvement orbital

% Matrice de passage de XYZ  XnYnZn

Pmat=[-sin(angle) cos(inclinaison)*cos(angle) sin(inclinaison)*cos(angle)
             0 -sin(inclinaison) cos(inclinaison)
                     cos(angle) cos(inclinaison)*sin(angle) sin(inclinaison)*sin(angle)];

rayon_vecteur=[cos(angle) sin(angle)*cos(inclinaison) sin(angle)*sin(inclinaison)]*rayon_orbital;

% ------------------ Conclusion ------------------

% Composantes de l'unitaire soleil dans XYZ

yy=Pmat*Us';         % Composantes de l'unitaire Soleil dans XYZ  

% Matrice de passage XYZ => xyz  donc ancien = Q nouveau 

PRo2R=inv(passage(Q));       

% -----------------------  SORTIE  -----------------------------


y=PRo2R*yy;           % Pour Nouvelles composantes = Inverse(passage)*nouvelles composantes

end    

% *****************************  Fin programme ***************************
         

