% Programme de vrifications

nanodat;

global H jour rayon_orbital vitesse_rotation inclinaison periode_orbitale

% --------------------------   La simulation nanosim.m donne au pas N 100 : --------------------------
temps=1410;
Q=[-0.6718 -0.0518 0.7382 -0.0314];                   % quater(100,1:4)
Bc=[-0.3912*1e-4 0.1621*1e-4 -0.0546*1e-4]';          % Composantes de Bc(100,1:3) dans xyz ou dans Rc
B_xyz=[-0.4241*1e-4 -0.0452*1e-4 0.0206*1e-4]';       % Composantes de B_xyz(100,1:3) dans xyz satellite
B_XYZ=[0.0239*1e-4 -0.0327*1e-4 -0.4251*1e-4]';       % Composantes de B_XYZ(100,1:3) dans XYZ orbital

%----------------------------------------------------------------------------------------------
q0=Q(1);q1=Q(2);q2=Q(3);q3=Q(4);
% Calcul de la matrice de passage

P11=2*(q0^2+q1^2)-1;P22=2*(q0^2+q2^2)-1;P33=2*(q0^2+q3^2)-1;
P21=2*(q1*q2+q0*q3);P12=2*(q1*q2-q0*q3);
P31=2*(q1*q3-q0*q2);P13=2*(q1*q3+q0*q2);
P32=2*(q2*q3+q0*q1);P23=2*(q2*q3-q0*q1);

Pmat0=[P11 P12 P13;P21 P22 P23;P31 P32 P33];

verifB=B_XYZ-Pmat0*B_xyz,
if abs(norm(verifB))>0.000001
  disp('ERREUR0 SUR B dans R et R0 ');
else
 disp('PAS d''ERREUR3 SUR B dans R et R0 ');
end

% --------------------------------------------------------------

temps=1410;


%*****************************************

% Unitaire soleil

teta=15*(12-H)*pi/180;                                        % Longitude nodale du soleil ( / Xn ), en radians

delta=23.45*sin(2*pi/365*(284+jour))*pi/180;                  % Dclinaison en radians formule de Fletcher

Us=[cos(delta)*cos(teta) cos(delta)*sin(teta) sin(delta)];    % Us en axes XnYnZn

angle=vitesse_rotation*temps;                                   % Mouvement orbital

% Matrice de passage de XYZ  XnYnZn

Pmat=[-sin(angle) cos(inclinaison)*cos(angle) sin(inclinaison)*cos(angle)
             0 -sin(inclinaison) cos(inclinaison)
                     cos(angle) cos(inclinaison)*sin(angle) sin(inclinaison)*sin(angle)];

% Composantes de l'unitaire soleil dans XYZ

Us_XYZ=Pmat*Us';         % Composantes de l'unitaire Soleil dans XYZ 

%Us_XYZ,             %$$$$$$$

% ***************************************

u1=[temps Q];

Us_xyz=unitSxyz(u1);

%Us_xyz,         %$$$$$$$

disp(' Vrification fonction unit_sat');
u3=[Us_XYZ' 0 0 0 Q];
Us_xyz1=Unit_Sat(u3);

%Us_xyz1,              %$$$$$$$

% ***************************************
u2=[temps 0 0 0 Q];

matRc_R=P_Rc_2_R(u2);

matRc_R,

% ***************************************


matR0_R=passage(Q);

matR0_R,Pmat0,
diff=matR0_R-Pmat0,
if abs(norm(diff))>0.000001

  disp('ERREUR00 SUR Pmat dans R0 --> R ');
else

 disp('PAS d''ERREUR00 SUR Pmat dans R0 --> R ');

end

% ****************************************

S_XYZ=Us_XYZ;         %$$$$$$$

S1=S_XYZ(1);S2=S_XYZ(2);S3=S_XYZ(3);KK=(S1^2+S3^2)^0.5;
matRc_R0=[-S3/KK 0 S1/KK
        -S1 -S2 -S3
          S1*S2/KK -(S1^2+S3^2)/KK S2*S3/KK];

matRc_R0,
% ***************************************

Us_XCYCZC=[0 -1 0]';

% ***************************************

% Us_XCYCZC1=matRc_R*Us_xyz,          %$$$$$$$
% Us_XYZ1=matR0_R*Us_xyz,             %$$$$$$$

% ***************************************

% Us_XCYCZC1=matRc_R0*Us_XYZ;          %$$$$$$$

%**************************************

ID=matRc_R0*matR0_R*inv(matRc_R),

% ****************************  Vrification de Bc au pas n 100 *********************

BXYZ=matR0_R*B_xyz;    % Champ dans R0 et dans R 

diff=BXYZ-B_XYZ,

if abs(norm(diff))>0.000001

  disp('ERREUR1 SUR B dans R0 et R ');
else

 disp('PAS d''ERREUR1 SUR B dans R0 et R ');

end

Bc_verif=matRc_R0*B_XYZ,    % Champ dans R0 et Rc

diff1=Bc_verif-Bc,

if abs(norm(diff1))>0.000001

  disp('ERREUR2 SUR Bc dans Rc et R0 ');
else

 disp('PAS d''ERREUR2 SUR B dans Rc et R0 ');

end

diff3=matRc_R*B_xyz-Bc,

if abs(norm(diff3))>0.000001

  disp('ERREUR3 SUR B dans R et Rc ');

else

 disp('PAS d''ERREUR3 SUR B dans R et Rc ');

end



end